{pkgs, ...}: {
  programs.waybar = {
    enable = true;
    settings = {
      mainBar = {
        layer = "top";
        position = "top";
        height = 36;
        modules-right = ["mpris" "pulseaudio" "clock" "tray" "battery"];
        clock = {
          format = "📅 {:%a %b-%d %I:%M %p}";
        };
        pulseaudio = {
          format-muted = "🔇 {volume}";
          format = "{icon} {volume}";
          format-icons.default = ["🔈" "🔉" "🔊"];
          on-click = "${pkgs.pavucontrol}/bin/pavucontrol";
        };
        mpris = {
          format = "{player_icon} {artist} - {title}";
          format-paused = "{status_icon} {player_icon} {artist} - {title}";
          player-icons = {
            default = "▶️";
            mpd = "🎵";
            kdeconnect = "☎️";
          };
          status-icons = {
            paused = "⏸️";
          };
        };
        battery = {
          format = "{icon} {capacity}%";
          format-icons = ["🤏" "🪫" "🔋" "🔋"];
          format-charging = "🔌 {capacity}%";
          states = {
            warning = 30;
            critical = 15;
          };
        };
      };
    };
    systemd = {
      enable = true;
      target = "graphical-session.target";
    };
  };
}
